Avro C++

Classes | Namespaces
Schema.hh File Reference
`#include "Config.hh"`
`#include "NodeImpl.hh"`
`#include "CustomAttributes.hh"`
`#include <string>`

Go to the source code of this file.

## Classes
class | avro::Schema
| The root Schema object is a base class. Nobody constructs this class directly. More...
class | avro::NullSchema
class | avro::BoolSchema
class | avro::IntSchema
class | avro::LongSchema
class | avro::FloatSchema
class | avro::DoubleSchema
class | avro::StringSchema
class | avro::BytesSchema
class | avro::RecordSchema
class | avro::EnumSchema
class | avro::ArraySchema
class | avro::MapSchema
class | avro::UnionSchema
class | avro::FixedSchema
class | avro::SymbolicSchema

## Namespaces
| avro
| A bunch of templates and specializations for encoding and decoding specific types.

## Detailed Description

Schemas for representing all the avro types. The compound schema objects allow composition from other schemas.